DirectoryIterator::isDir
DirectoryIterator::isExecutable
DirectoryIterator
PHP Manual

# DirectoryIterator::isDot

Determine if current DirectoryIterator item is '.' or '..'

### Description

public bool DirectoryIterator::isDot ( void )

Determines if the current DirectoryIterator item is a directory and either . or ...

### Parameters

This function has no parameters.

### Return Values

`TRUE` if the entry is . or .., otherwise `FALSE`

### Examples

Example #1 A DirectoryIterator::isDot example

This example will list all files, omitting the . and .. entries.

`<?php
$iterator = new DirectoryIterator(dirname(__FILE__));
foreach ($iterator as $fileinfo) {
if (!$fileinfo->isDot()) {
echo $fileinfo->getFilename() . "\n";
}
}
?>`

The above example will output something similar to:

    apple.jpg
    banana.jpg
    example.php
    pears.jpg

### See Also

- DirectoryIterator::getType
- DirectoryIterator::isDir
- DirectoryIterator::isFile
- DirectoryIterator::isLink